# Managing the Audit Trail

## Contents
Overview Setting up the Audit Trail Configuration Audit Trail Process Deployment Audit Trail User Audit Trail

## Overview
The Oracle Server Process (for example, Enterprise Gateway, Policy Center, or Service Monitor) generates an audit trail for each of the key actions that occurs in the Policy Studio on Configurations, Processes, and Users. For example, this includes when when a user logs in, or when a process configuration is updated. All items are written to a file-based audit trail that is stored on the same machine as that on which the server is running. The audit trail rolls over on date change and also when a maximum file size is reached. In addition, you can sign the audit trail to guarantee its integrity using the private key of a system User. This User's key should be stored in the Policy Studio's Certificate Store.
## Setting up the Audit Trail
To configure the Audit Trail, perform the following steps: In the Policy Studio, click the Services tab. Expand the Processes node in the tree, and right-click a Process node (for example, Oracle Enterprise Gateway). Select Audit Trail to display the Configure Audit Trail dialog. Configure the following fields to force the server to write an audit trail to file: Enable Audit Trail: Select this checkbox to configure the Process to start writing event data to the audit trail. File Name: Enter the name of the audit trail file in this field. When an audit trail file rolls over (either because the maximum file size has been reached, or because the date has changed), a suitable increment is appended to the file name. Defaults to `ConfigurationManagementAuditTrail`. File Extension: Enter the file extension for the audit trail file. Defaults to `.xml`. Directory: Enter the directory for the audit trail file. Defaults to `logs`. File Size: Specify the maximum size that an audit trail file is allowed reach before it rolls over to a new file. Defaults to `1000` kilobytes. Roll Log Daily: Specify whether to roll over the log file at the start of each day. This is enabled by default. Number of Files: Specify the number of log files that are stored. The default number is `20`. Signing Key: You can sign the audit trail with the private key of a User from the Certificate Store. To do this, click the Signing Key button, select a User (whose private key is stored in the Certificate Store), and press the OK button. For more details, see the Certificates topic.
## Configuration Audit Trail
The audit trail for Configuration management contains the following data: Level: Log level (Failure or Success). User: The User performing the action on the Configuration. Timestamp: The time the action occurred. Text: Text description of the action. Action: The action performed on the Configuration (Create New Configuration, Rename, Change Owner, Version, or Archive). Configuration: The Configuration name. Version: Only applies for the Commit action. Comment: Only applies for the Commit action. New Owner: Applies if the action is Change Owner.
## Process Deployment Audit Trail
The audit trail for Process deployment management contains the following fields: Level: Log level (Failure or Success). User: The User performing the action on the Process. Timestamp: The time the action occurred. Text: Text description of the action. Action: The action performed on the Process (Create New Configuration, Rename, Change Owner, Version, or Archive). Host: The host that the Process runs on. Process: The name of the Process. Configuration: The name of the Configuration. Applies to the Deploy action. Version: Applies to the Deploy action. Comment: The comment from the Version creation. New Owner: Applies if the action is Change Owner.
## User Audit Trail
The Audit trail for User management contains the following fields: Level: Log level (Failure or Success). User: The User performing the action on the User. Timestamp: The time the action occurred. Text: Text description of the action. Action: The action performed on the User (Add, Update, or Delete). Update User: The User the action was performed on.